{% extends "dashboard.blank.html" %}



{% block dashboard_content %}
<div class="container">
    <div class="row">
        <div class="col-xl-4 col-lg-5">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        {% if source.is_live %}
                        <i class="fas fa-video text-success"></i>
                        {% else %}
                        <i class="fas fa-video text-dark"></i>
                        {% endif %}
                        Preview
                    </h6>
                </div>
                <div class="card-body">
                    <video id="my-video" class="video-js vjs-default-skin vjs-big-play-centered" controls
                        preload="metadata" data-setup='{"aspectRatio":"16:9", "techOrder": ["html5","flash"]}'>
                        <source src="http://127.0.0.1:8080/hls/{{ source.stream_key }}.m3u8"
                            type="application/x-mpegURL" />
                        <p class="vjs-no-js">
                            To view this video please enable JavaScript, and consider upgrading to a
                            web browser that
                            <a href="https://videojs.com/html5-video-support/" target="_blank">supports HTML5 video</a>
                        </p>
                    </video>
                </div>
            </div>

        </div>
        <div class="col-8">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">Informações</h6>
                </div>
                <div class="card-body">

                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function start_push(source_id, destination_id) {
        $.post({
            url: "{{ url_for('api.publish')}}",
            data: {
                source: source_id,
                destination: destination_id,
                dataType: "json",
            }
        })
            .done(function (json) {
                window.location.reload();
            })
    }

    function stop_push(current_push_id) {
        $.ajax({
            type: "DELETE",
            url: "/api/publish/" + current_push_id,
            data: {},
            dataType: "json",
            success: function (result) {
                window.location.reload();
            }
        });

    }
</script>
<link href="https://unpkg.com/video.js/dist/video-js.css" rel="stylesheet">
<script src="https://unpkg.com/video.js/dist/video.js"></script>
{% endblock %}